Errata by ID Content View Filter does not work properly

06/11/2014 09:58 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1103492 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103492

Description of problem:

A few issues:

I can seemingly only get Security Errata, if i unselect security errata, none get returned

There is no result count.  This should be added

Just refreshing the page with lots of errata seems to cause the browser to load all errata and keep going to the server for more

even when there isn't any.

Related issues:

Related to Katello - Bug #5030: content views: UI: unable to consistently add... Closed 04/02/2014

Related to Katello - Bug #4969: Non visible errata can be 'added' on Content ... Closed 03/31/2014

Associated revisions

Revision 0d36f07f - 06/24/2014 10:58 AM - Eric Helms

Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content

view errata id filters.

The previous content view errata id filter would continously load

all errata in chunks in order to allow client side filtering. And,

while this worked for small errata sets, larger errata sets such as

RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This

change does the following:

moves all type and date filtering server side

enabled UI select all behavior to allow adding errata that is not

currently visible client side\

adds a new option to create errata id content view filter rules

with a bulk set of errata or based on a search/param query

Revision 09e44c33 - 06/24/2014 02:58 PM - Eric Helms

Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content

view errata id filters.

The previous content view errata id filter would continously load

all errata in chunks in order to allow client side filtering. And,

while this worked for small errata sets, larger errata sets such as

RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This

change does the following:

moves all type and date filtering server side

enabled UI select all behavior to allow adding errata that is not

currently visible client side\

adds a new option to create errata id content view filter rules

with a bulk set of errata or based on a search/param query
Revision 11475577 - 06/25/2014 11:07 AM - Eric Helms

Merge pull request #4257 from ehelms/fixes-6176

Fixes #6176,BZ1103492: Improving interaction of content view errata id f...

Revision cea58b29 - 06/25/2014 03:07 PM - Eric Helms

Merge pull request #4257 from ehelms/fixes-6176

Fixes #6176,BZ1103492: Improving interaction of content view errata id f...

History

#1 - 06/11/2014 09:59 PM - Eric Helms

- Target version set to 45

- translation missing: en.field_release set to 13

- Difficulty set to trivial

- Triaged set to Yes

#2 - 06/11/2014 10:00 PM - Eric Helms

- Related to Bug #5030: content views: UI: unable to consistently add/remove items for a package group and errata by id filter added

#3 - 06/12/2014 06:41 PM - Eric Helms

- Related to Bug #4969: Non visible errata can be 'added' on Content View Add errata by ID filter added

#4 - 06/16/2014 12:03 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/24/2014 12:32 PM - Eric Helms

- Status changed from New to Ready For Testing

#6 - 06/25/2014 03:52 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:09e44c33ac756c4d80d8038d9014d5dc93fe5bb5.
